Subject: Re: linux-next: proc tree build failure

From: [email-masked] (Eric W. Biederman)
Date: Thu, 20 Nov 2008 00:43:26 -0800

Stephen Rothwell <[email-masked]> writes:

> Hi Alexey,
>
> Today's linux-next build (x86_64 allmodconfig) failed like this:
>
> security/selinux/hooks.c: In function 'selinux_proc_get_sid':
> security/selinux/hooks.c:1182: error: 'struct super_block' has no member named
> 'type'
> security/selinux/hooks.c:1183: error: 'struct super_block' has no member named
> 'type'
> security/selinux/hooks.c:1189: error: too few arguments to function 'memcpy'
>
> Caused by commit e23b822350796e690a46873058d220878a18564c ("proc:
> make /proc/net it's own filesystem"). This has clearly never been
> compiled with CONFIG_PROC_FS set!

Nah.  Never compiled with CONFIG_SELINUX set.  I thought I had compile
tested that case but apparently not.

Sorry there was some stupid security drama going on when these patches
were written and that always seems to throws me off and reduces the
quality of my code.

Eric